Sector- or industry-level flow aggregation
curl --request GET \
--url https://flow-api.skylit.ai/v1/flow/sector/{sector} \
--header 'Authorization: Bearer <token>'import requests
url = "https://flow-api.skylit.ai/v1/flow/sector/{sector}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flow-api.skylit.ai/v1/flow/sector/{sector}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sector": "<string>",
"date": "2023-12-25",
"metrics": {
"totalPremium": 123,
"callPremium": 123,
"putPremium": 123,
"netPremium": 123,
"totalVolume": 1,
"callVolume": 1,
"putVolume": 1,
"netVolume": 123,
"fir": 123,
"putCallRatio": 123
},
"topContributors": [
{
"ticker": "<string>",
"netPremium": 123,
"callPremium": 123,
"putPremium": 123,
"pctOfSector": 123
}
],
"industryBreakdown": [
{
"industry": "<string>",
"netPremium": 123,
"totalPremium": 123,
"pctOfSector": 123,
"tickerCount": 1
}
],
"tickerCount": 1,
"etf": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "d7574836"
}
}Sector
Sector- or industry-level flow aggregation
Aggregates options flow across all tickers in a GICS sector. The
{sector} path parameter accepts either a sector ETF symbol
(XLK, XLF, XLE, …) or a sector name (Technology,
Financials, …). Returns sector-level metrics, top-contributor
tickers, and an industry-level breakdown.
GET
/
v1
/
flow
/
sector
/
{sector}
Sector- or industry-level flow aggregation
Authorizations
Skylit API key in the Authorization header
(Authorization: Bearer fs_live_<key>). X-API-Key is also accepted.
Path Parameters
Sector ETF symbol (XLK, XLF, XLE, XLV, XLY, XLP,
XLU, XLI, XLB, XLRE, XLC) or full sector name
(Technology, Financials, Healthcare, etc.).
Example:
"XLK"
Was this page helpful?
⌘I

